# bapsflib

[![PyPI](https://img.shields.io/pypi/v/bapsflib.svg)](https://pypi.org/project/bapsflib)
[![License](https://img.shields.io/badge/License-BSD-blue.svg)](./LICENSES/LICENSE.txt)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/bapsflib.svg)](https://pypi.org/project/bapsflib)

[![Documentation Status](https://readthedocs.org/projects/bapsflib/badge/)](https://bapsflib.readthedocs.io/en/latest)
[![codecov](https://codecov.io/gh/BaPSF/bapsflib/branch/master/graph/badge.svg)](https://codecov.io/gh/BaPSF/bapsflib/branch/master)

[![h5py](https://img.shields.io/badge/powered%20by-h5py-%235e9ffa.svg)](https://www.h5py.org/)

The **bapsflib** package is developed on Python 3.5+ and is intend to 
be a toolkit for reading, manipulating, and analyzing data collected at 
the Basic Plasma Science Facility 
([BaPSF](http://plasma.physics.ucla.edu/)) at UCLA. 

The current development cycle is focused on providing a high-level, 
structured interface between the user and the HDF5 files generated from
experiments on the Large Plasma Device (LaPD).  This interface 
leverages [h5py](https://www.h5py.org/).

## Installation

**bapsflib** is registered with [PyPI](https://pypi.org/) and can be 
installed with `pip` via

`pip install bapsflib`

To install from source look to installation instructions in 
documentation, 
[here](https://bapsflib.readthedocs.io/en/latest/installation.html).

## Documentation

The documentation is hosted on Read the Docs at 
https://bapsflib.readthedocs.io/en/latest

## License

**bapsflib** is licensed under a 3-clause BSD license, see 
[LICENSE.txt](LICENSES/LICENSE.txt).